/**
   A graphics example.
*/
import javax.swing.JFrame;
import javax.swing.JPanel;
import java.awt.Graphics;
import java.awt.Color;

public class GUIExperiment4
{
   public static void main( String[] args )
   {
      JFrame f = new JFrame();
      f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      f.setTitle("A frame with a drawing panel");
      f.setSize(500, 500);
      f.setVisible(true);

      JPanel panel = new DrawPanel();
      panel.setBackground(Color.WHITE);
      f.add(panel);
   }
}


@SuppressWarnings("serial")
class DrawPanel extends JPanel
{
    @Override
    public void paintComponent(Graphics g)
    {
        super.paintComponent(g);  // call JPanel's version
        g.setColor(Color.RED);
        g.fillRect(20, 40, 70, 30);
        g.setColor(Color.BLUE);
        g.fillRect(60, 10, 20, 80);
        g.setColor(Color.GREEN);
        g.fillRect(300, 300, 100, 100);
    }
}
