/**
   A graphics example.
*/
import javax.swing.JPanel;
import javax.swing.JFrame;
import java.awt.Graphics;
import java.awt.Color;

public class GUIExperiment5b
{
   public static void main( String[] args )
   {
      JFrame f = new JFrame();
      f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      f.setTitle("A panel with a drawing");
      f.setSize(500, 500);
      f.setVisible(true);

      JPanel panel = new JPanel();
      f.add(panel);

      // allow time for the graphics context to be created
      try{Thread.sleep(20);}catch(InterruptedException e){}

      Graphics g = panel.getGraphics();
      g.setColor(Color.RED);
      g.fillRect(20, 40, 70, 30);
      g.setColor(Color.BLUE);
      g.fillRect(60, 10, 20, 80);
   }
}

