/**
   Compare two different layout
   managers for the "same" GUI.
*/
import javax.swing.JFrame;
import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JCheckBox;
import java.awt.GridLayout;
import java.awt.FlowLayout;

public class GUIExperiment3
{
   public static void main( String[] args )
   {
      JFrame f = new JFrame();
      f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      f.setTitle("A frame with a layout and components");

      f.setLayout(new FlowLayout()); // try GridLayout() or GridLayout(2,3)

      f.add(new JButton("one"));
      f.add(new JLabel("two"));
      f.add(new JButton("three"));
      f.add(new JLabel("four"));
      f.add(new JButton("five"));
      f.add(new JCheckBox());

      f.setSize(500, 500);
      f.setVisible(true);
   }
}
