/*
   Build a GUI using a layout manager.
*/
import javax.swing.JFrame;
import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JPanel;
import java.awt.Container;
import java.awt.BorderLayout;

public class GUIexperiment2
{
   public static void main( String[] args )
   {
      JFrame jf = new JFrame("a frame with a layout manager");
      jf.setSize(100, 100);
      jf.setVisible(true);

      //create JButton objects
      JButton jb1 = new JButton("Hello 1");
      JButton jb2 = new JButton("Hello 2");
      // send a message to the JFrame object that it
      // should add the JButton objects to its "content pane"
      Container ct = jf.getContentPane();
      ct.add(jb1, BorderLayout.SOUTH);
      ct.add(jb2, BorderLayout.NORTH);
      // create JLabel objects
      JLabel jL1 = new JLabel("Label 1");
      JLabel jL2 = new JLabel("Label 2");
      // add the JLabel objects to the content pane
      ct.add(jL1, BorderLayout.EAST);
      ct.add(jL2, BorderLayout.WEST);
      jf.setSize(600, 600);

      JPanel jp = new JPanel(); // uses FlowLayout
    //JPanel jp = new JPanel( new BorderLayout() );
      JButton jb3 = new JButton("Hello 3");
      JButton jb4 = new JButton("Hello 4");
      JLabel jL3 = new JLabel("Label 3");
      JLabel jL4 = new JLabel("Label 4");
      jp.add(jb3, BorderLayout.SOUTH); // try changing the order in which the
      jp.add(jb4, BorderLayout.NORTH); // components are added to the container
      jp.add(jL3, BorderLayout.EAST);
      jp.add(jL4, BorderLayout.WEST);
      jp.add(new JButton("why"), BorderLayout.CENTER);
      jf.add(jp, BorderLayout.CENTER);
      jf.setSize(600, 600);
   }
}
